<?php
function faclass($icon) {
    return "fa fa-fw fa-$icon";
}
$links = [
    "email" => [
        "href" => "mailto:ben@tilde.team",
        "icon" => "envelope"
    ],
    "pgp pubkey" => [
        "href" => "benharri.asc",
        "icon" => "lock"
    ],
    "blog" => [
        "href" => "blog/",
        "icon" => "rss"
    ],
    "github" => [
        "href" => "https://github.com/benharri",
        "icon" => "github"
    ],
    "tildegit" => [
        "href" => "https://tildegit.org/ben",
        "icon" => "code-fork"
    ],
    "srht" => [
        "href" => "https://git.sr.ht/~benharri",
        "icon" => "circle-o"
    ],
    "stack overflow" => [
        "href" => "https://stackoverflow.com/users/6352706/ben-harris",
        "icon" => "stack-overflow"
    ],
    "my git guide" => [
        "href" => "https://benharri.github.io/learngit/",
        "icon" => "git"
    ],
    "keybase" => [
        "href" => "https://keybase.io/bharris",
        "icon" => "key"
    ],
    "my personal site" => [
        "href" => "https://benharr.is",
        "icon" => "globe"
    ],
    "software design pattern book" => [
        "href" => "patterns/",
        "icon" => "book"
    ],
    "win solitaire" => [
        "href" => "soli/",
        "icon" => "gamepad"
    ],
    "mastodon" => [
        "href" => "https://tilde.zone/~ben",
        "icon" => "mastodon-alt",
        "extra_attrs" => 'rel="me"'
    ],
];
?>

<?php foreach ($links as $name => $link): ?>
    -&gt; <a <?=$link["extra_attrs"] ?? ""?> href="<?=$link["href"]?>">
        <i class="<?=faclass($link["icon"])?>"></i> <?=$name?>
    </a>
    <br>
<?php endforeach; ?>

